<?php
namespace Home\Controller;
use Think\Controller;
/*
* 刷新redis数据控制器
*
*/
class FlushController extends BaseController
{

    //刷新广告数据
    public function ad()
    {   
        $adArr = M("yl_ad","",C("LEWAN_HEZI"))->order('position')->select();
        if(!empty($adArr)) {
            $redis = S(C('REDIS'));
            foreach($adArr as $key=>$val) {
                //保存广告id（用于排序分页）
                $redis->zadd('ylc_ad_id',$val['position'],$val['sysid']);
                //保存广告数据
                $redis->hset('ylc_ad_list',$val['sysid'],json_encode($val));
            }
            exit('更新成功');
        } else {
            exit('暂无数据');
        }

    }


    //刷新游戏数据
    public function game($game='zuiqiangyoulechang',$skip=0,$limit=10)
    {   
        $gameList = M("yl_game","",C("LEWAN_HEZI"))->where(['game_code'=>$game])->select();
        if(!empty($gameList)) {
            $redis = S(C('REDIS'));
            foreach($gameList as $key=>$val) {
                $gameList[$key]['typeList'] = M("yl_game_class","",C("LEWAN_HEZI"))->join('left join yl_game_class_list on yl_game_class.sysid=yl_game_class_list.r_class')->where(array('yl_game_class_list.r_game'=>$val['sysid']))->field('yl_game_class_list.r_class,yl_game_class_list.r_game,yl_game_class.name')->select();
                $gameList[$key]['labelList'] = M("yl_game_label","",C("LEWAN_HEZI"))->join('left join yl_game_label_list on yl_game_label.sysid=yl_game_label_list.r_label')->where(array('yl_game_label_list.r_game'=>$val['sysid']))->field('yl_game_label_list.r_label,yl_game_label_list.r_game,yl_game_label.name')->select();
                //保存游戏id（用于排序分页）
                $redis->zadd($game.'_game_id',$val['sort'],$val['sysid']);
                //保存游戏数据
                $redis->hset($game.'_game_list',$val['sysid'],json_encode($gameList[$key]));
            }
            // exit('更新成功');
            return $redis->ZREVRANGE($game.'_game_id',$skip,$limit);
        } else {
            exit(json_encode(array('c'=>2,'msg'=>'暂无数据')));
        }

    }


    //刷新商品数据
    public function goods()
    {   
        $goodsList = M("yl_goods","",C("LEWAN_HEZI"))->select();
        if(!empty($goodsList)) {
            $redis = S(C('REDIS'));
            foreach($goodsList as $key=>$val) {
                //保存游戏id（用于排序分页）
                $redis->zadd('ylc_goods_id',$val['sort'],$val['sysid']);
                //保存游戏数据
                $redis->hset('ylc_goods_list',$val['sysid'],json_encode($val));
            }
            exit('更新成功');
        } else {
            exit('暂无数据');
        }

    }

    //刷新cdn文件
    public function cdnUrl() {
        $refreshURL = I("url");
        if(empty($refreshURL)) {
            exit('缺少url参数');
        }
        // $refreshURL = "https://res.g.llewan.com/uploadfile/common/qubapikashu-weixin/1.0.1/monsterData.json";
        $url	= "https://cdn.api.qcloud.com/v2/index.php?";
        $params['Action']		= "RefreshCdnUrl";
        $params['Nonce']		= rand(1000000000, 9999999999);
        $params['SecretId'] 	= "AKIDghFh1BTzd5Njz4gtfHiy7B8veCZlucIo";
        $params['Timestamp'] 	= time();
        $params['urls.0']		= $refreshURL;

        $secretKey = "ZzEJLPOH4mOGKbxGSUTHuMcidMwLZcT9";
        $origin = "POSTcdn.api.qcloud.com/v2/index.php?Action=RefreshCdnUrl&Nonce={$params['Nonce']}&SecretId={$params['SecretId']}&Timestamp={$params['Timestamp']}&urls.0={$refreshURL}";
        $origin = str_replace('_', '.', $origin);
        $signStr = base64_encode(hash_hmac('sha1', $origin, $secretKey, true));
        $params['Signature']	= $signStr;


        echo curlPost($url,$params);exit;


        $cdnRefreshURL = $url . http_build_query($params);
        $result = file_get_contents($cdnRefreshURL);
        echo($result);
    }

    //刷新cdn目录
    public function cdnDir() {
        $refreshURL = I("url");
        if(empty($refreshURL)) {
            exit('缺少url参数');
        }
        // $refreshURL = "https://res.g.llewan.com/uploadfile/common/qubapikashu-weixin/1.0.1/monsterData.json";
        $url	= "https://cdn.api.qcloud.com/v2/index.php?";
        $params['Action']		= "RefreshCdnDir";
        $params['Nonce']		= rand(1000000000, 9999999999);
        $params['SecretId'] 	= "AKIDghFh1BTzd5Njz4gtfHiy7B8veCZlucIo";
        $params['Timestamp'] 	= time();
        // $params['urls.0']		= $refreshURL;
        $params['dirs.0']		= $refreshURL;
        $params['type']         = 2;

        $secretKey = "ZzEJLPOH4mOGKbxGSUTHuMcidMwLZcT9";
        $origin = "POSTcdn.api.qcloud.com/v2/index.php?Action=RefreshCdnDir&Nonce={$params['Nonce']}&SecretId={$params['SecretId']}&Timestamp={$params['Timestamp']}&dirs.0={$refreshURL}&type=2";
        $origin = str_replace('_', '.', $origin);
        $signStr = base64_encode(hash_hmac('sha1', $origin, $secretKey, true));
        $params['Signature']	= $signStr;


        echo curlPost($url,$params);exit;


        $cdnRefreshURL = $url . http_build_query($params);
        $result = file_get_contents($cdnRefreshURL);
        echo($result);
    }

    //生成自增ID（处理并发情况）
    public function testId() {
            //连接本地的 Redis 服务
        $redis = S(C('REDIS'));
    
        while($redis->setnx('test_lock', getTime()+100)==0) {
            if(getTime()>$redis->get('test_lock') && getTime()>$redis->getset('test_lock', getTime()+100)){
                break;
            }else{
                usleep(100000);
            }
        }

        $id = $redis->get('test_id');
        if(empty($id)) {
            $id = 100;
        } else {
            $id++;
        }
        $redis->set('test_id',$id);
        echo $id;

        $redis->del('test_lock');
    }

    //生成微信小程序二维码（三种不同接口）
    public function xcxQrcode() {
        $appid = 'wx62cbdff21c74d69d';
        $secret = '42df86aa686101282378b8f42be23f48';
    
        $url = 'https://api.weixin.qq.com/cgi-bin/token?grant_type=client_credential&appid='.$appid.'&secret='.$secret;
        $token = file_get_contents($url);
        $token = json_decode($token,true)['access_token'];


        $send_url 	= "https://api.weixin.qq.com/wxa/getwxacodeunlimit?access_token=".$token;
        $send_url 	= "https://api.weixin.qq.com/cgi-bin/wxaapp/createwxaqrcode?access_token=".$token;
        $send_url 	= "https://api.weixin.qq.com/wxa/getwxacode?access_token=".$token;
        $postArr = array(
            // 'scene'=>'source_id=181818'
            'path'=>'pages/index/index?source_id=2002'
            ,'width'=>'280'
        );

        $re = curlPost( $send_url , json_encode($postArr) );
        file_put_contents('new2002.jpg',$re);

    }

    //发起微信小程序支付参数处理
	public function wechatXcxSign() {
		$data['wxappid'] = 'wxde2c29b8d9349652';
		$data['mch_id'] = '1509771971';
		$data['nonce_str'] = uniqid().mt_rand();
		$data['send_name'] = '测试红包';
		$data['mch_billno'] = '1509771971'.date('Ymd').time();
		$data['total_amount'] = 1;
		$data['total_num'] = 1;
		$data['client_ip'] = '111.230.107.18';
		$data['notify_way'] = 'JSAPI';
		$data['wishing'] = '红包祝福语';
		$data['act_name'] = '活动名称';
		$data['remark'] = '备注';
		$data['re_openid'] = 'oPftV44nnKGy1QBAO67-4To7kvDo';

		$sign = wechatCreateSign($data);

		$textTpl = "<xml>
					   <wxappid><![CDATA[%s]]></wxappid>
					   <mch_id><![CDATA[%s]]></mch_id>				   
					   <nonce_str><![CDATA[%s]]></nonce_str>
					   <send_name><![CDATA[%s]]></send_name>
					   <mch_billno><![CDATA[%s]]></mch_billno>
					   <total_amount><![CDATA[%s]]></total_amount>
					   <total_num><![CDATA[%s]]></total_num>
					   <client_ip><![CDATA[%s]]></client_ip>
					   <notify_way><![CDATA[%s]]></notify_way>
					   <wishing><![CDATA[%s]]></wishing>
					   <act_name><![CDATA[%s]]></act_name>
					   <remark><![CDATA[%s]]></remark>
					   <re_openid><![CDATA[%s]]></re_openid>
					   <sign><![CDATA[%s]]></sign>
					</xml>";
        $resultStr = sprintf($textTpl, $data['appid'], $data['mch_id'], $data['nonce_str'], $data['send_name'], $data['mch_billno'],$data['total_amount'],$data['total_num'],$data['client_ip'],$data['notify_way'],$data['wishing'],$data['act_name'],$data['remark'],$data['re_openid'],$sign);
		$wechatOrder = curlPost('https://api.mch.weixin.qq.com/mmpaymkttransfers/sendminiprogramhb',$resultStr,true);


        var_dump($wechatOrder);exit;

		$orderObj = json_decode(json_encode(simplexml_load_string($wechatOrder, 'SimpleXMLElement', LIBXML_NOCDATA)), true);
        if(!empty($orderObj['prepay_id'])) {
			$payArr = array(
				'appId'=>'wxfaf41889efd69020'
				,'package'=>'prepay_id='.$orderObj['prepay_id']
				,'nonceStr'=>uniqid().mt_rand()
				,'timeStamp'=>time()
				,'signType'=>'MD5'
			);
			$xcxPayArr = array(
				'package'=>'prepay_id='.$orderObj['prepay_id']
				,'nonceStr'=>$payArr['nonceStr']
				,'timeStamp'=>strval($payArr['timeStamp'])
				,'signType'=>'MD5'
				,'paySign'=>$this->wechatCreateSign($payArr)
			);
			return $xcxPayArr;
		}
		return array('description'=>$wechatOrder);
		
    }
    
    //生成微信广告投放公众好数据源id（每个公众号只有一个id）
    public function actionSet() {
        //access_token无效重新获取
        $url = 'https://game.test.llewan.com/config/getToken';
        $token = file_get_contents($url);
        $tokenArr = json_decode($token,true);
        if(!empty($tokenArr['d']['token'])) {
            $actionUrl = 'https://api.weixin.qq.com/marketing/user_action_sets/add?version=v1.0&access_token='.$tokenArr['d']['token'];
            $postData = array(
                'type'=>'WEB'
                ,'name'=>'secodeTest'
                ,'"description"'=>'第二次测试获取数据源ID'
            );
            $setId = curlPost($actionUrl,$postData,true);
            var_dump($setId);

        } else {
            exit(json_encode(array('c'=>2,'msg'=>'获取失败','error'=>$tokenArr['error'])));
        }

    }


    public function shareMember()
    {
        $game = I('game','qieshuiguo');
        $version = I('version','1.0.1');
        $data['uid'] = I('uid','633509078');
        $date = date('Y-m-d');

        $cache = S(C('REDIS'));
        $memberInfo = $cache->get('game_member:uid:'.$data["uid"]);
        $loginKey = $game.':'.$memberInfo['source_id'].':'.$version;
        $loginInfo = $cache->HGET('game_login_live:'.$date,$loginKey);
        $loginInfo = json_decode($loginInfo,true);
        $loginInfo['total_share'] += 1;

        //不分渠道、版本数据
        $loginDateInfo = $cache->HGET('game_login_live_date:'.$date,$game);
        $loginDateInfo = json_decode($loginDateInfo,true);
        $loginDateInfo['total_share'] += 1;

        $setKey = 'total_share_member_set:'.$date;
        $setCacheKey = 'total_share_member:'.$loginKey.':'.$date;
        if(!$cache->sismember($setKey, $setCacheKey))
        {
            $cache->sadd($setKey,$setCacheKey);
        }
        //不分渠道、版本数据
        $memberResult = $cache->PFADD('total_share_member:'.$loginKey.':'.$date,array($loginKey.$data['uid']));
        if($memberResult) {
            $loginInfo['total_share_member'] += 1;

            $loginDateInfo['total_share_member'] += 1;
        }
        $cache->HMSET('game_login_live:'.$date,array($loginKey=>json_encode($loginInfo)));

        $cache->HMSET('game_login_live_date:'.$date,array($game=>json_encode($loginDateInfo)));
    }

    public function loginMember()
    {
        $game = I('game','qieshuiguo');
        $version = I('version','1.0.1');
        $data['uid'] = I('uid','633509078');
        $insertData['source_id'] = I('source_id');
        $date = date('Y-m-d');

        $cache = S(C('REDIS'));
        $loginKey = $game.':'.$insertData['source_id'].':'.$version;
        $loginInfo = $cache->HGET('game_login_live:'.$date,$loginKey);
        $loginInfo = json_decode($loginInfo,true);


        //不分渠道、版本数据
        $loginDateInfo = $cache->HGET('game_login_live_date:'.$date,$game);
        $loginDateInfo = json_decode($loginDateInfo,true);

        if(date('Y-m-d',$cacheData['reg_time']) == date('Y-m-d')) {
            $loginInfo['total_register'] += 1;
            $loginDateInfo['total_register'] += 1;
            if($insertData["referee_id"] > 0) {
                $loginInfo['total_share_member_register'] += 1;
                $loginDateInfo['total_share_member_register'] += 1;
            }
        }


        //活跃用户
        $setKey = 'total_login_set:'.$date;
        $setCacheKey = 'total_login:'.$loginKey.':'.$date;
        if(!$cache->sismember($setKey, $setCacheKey))
        {
            $cache->sadd($setKey,$setCacheKey);
        }
        //不分渠道、版本数据
        $memberResult = $cache->PFADD('total_login:'.$loginKey.':'.$date,array($loginKey.$data['uid']));
        if($memberResult) {
            $loginInfo['total_login'] += 1;

            $loginDateInfo['total_login'] += 1;

        }
        $cache->HMSET('game_login_live:'.$date,array($loginKey=>json_encode($loginInfo)));

        $cache->HMSET('game_login_live_date:'.$date,array($game=>json_encode($loginDateInfo)));
    }


    public function eventMember()
    {
        $game = I('game','qieshuiguo');
        $version = I('version','1.0.1');
        $d['uid'] = I('uid','633509078');
        $d['scene_name'] = I('scene_name','热门推荐');
        $d['event_id'] = I('event_id','仙剑客栈');
        $insertData['source_id'] = I('source_id');
        $date = date('Y-m-d');

        $cache = S(C('REDIS'));
        $memberInfo = $cache->get('game_member:uid:'.$d["uid"]);
        $loginKey = $game.':'.$memberInfo['source_id'].':'.$version.':'.$d['scene_name'].':'.$d["event_id"];
        $loginInfo = $cache->HGET('game_event_live:'.$date,$loginKey);
        $loginInfo = json_decode($loginInfo,true);
        $loginInfo['total_click'] += 1;


        $setKey = 'game_event_live_set:'.$date;
        $setCacheKey = 'total_click_member:'.$loginKey.':'.$date;
        if(!$cache->sismember($setKey, $setCacheKey))
        {
            $cache->sadd($setKey,$setCacheKey);
        }
        //不分渠道、版本数据
        $memberResult = $cache->PFADD('total_click_member:'.$loginKey.':'.$date,array($loginKey.$d['uid']));
        if($memberResult) {
            $loginInfo['total_click_member'] += 1;

        }
        $cache->HMSET('game_event_live:'.$date,array($loginKey=>json_encode($loginInfo)));
    }

    public function delRankingList() {
        $cache = S(C('REDIS'));
        $scoreKey = 'wowtongyouxi-weixin:rankingList:';
        $city = '{"city":[{"title":"A","lists":["阿坝","阿拉善","阿里","安康","安庆","鞍山","安顺","安阳","澳门"]},{"title":"B","lists":["北京","白银","保定","宝鸡","保山","包头","巴中","北海","蚌埠","本溪","毕节","滨州","百色","亳州"]},{"title":"C","lists":["重庆","成都","长沙","长春","沧州","常德","昌都","长治","常州","巢湖","潮州","承德","郴州","赤峰","池州","崇左","楚雄","滁州","朝阳"]},{"title":"D","lists":["大连","东莞","大理","丹东","大庆","大同","大兴安岭","德宏","德阳","德州","定西","迪庆","东营"]},{"title":"E","lists":["鄂尔多斯","恩施","鄂州"]},{"title":"F","lists":["福州","防城港","佛山","抚顺","抚州","阜新","阜阳"]},{"title":"G","lists":["广州","桂林","贵阳","甘南","赣州","甘孜","广安","广元","贵港","果洛"]},{"title":"H","lists":["杭州","哈尔滨","合肥","海口","呼和浩特","海北","海东","海南","海西","邯郸","汉中","鹤壁","河池","鹤岗","黑河","衡水","衡阳","河源","贺州","红河","淮安","淮北","怀化","淮南","黄冈","黄南","黄山","黄石","惠州","葫芦岛","呼伦贝尔","湖州","菏泽"]},{"title":"J","lists":["济南","佳木斯","吉安","江门","焦作","嘉兴","嘉峪关","揭阳","吉林","金昌","晋城","景德镇","荆门","荆州","金华","济宁","晋中","锦州","九江","酒泉"]},{"title":"K","lists":["昆明","开封"]},{"title":"L","lists":["兰州","拉萨","来宾","莱芜","廊坊","乐山","凉山","连云港","聊城","辽阳","辽源","丽江","临沧","临汾","临夏","临沂","林芝","丽水","六安","六盘水","柳州","陇南","龙岩","娄底","漯河","洛阳","泸州","吕梁"]},{"title":"M","lists":["马鞍山","茂名","眉山","梅州","绵阳","牡丹江"]},{"title":"N","lists":["南京","南昌","南宁","宁波","南充","南平","南通","南阳","那曲","内江","宁德","怒江"]},{"title":"P","lists":["盘锦","攀枝花","平顶山","平凉","萍乡","莆田","濮阳"]},{"title":"Q","lists":["青岛","黔东南","黔南","黔西南","庆阳","清远","秦皇岛","钦州","齐齐哈尔","泉州","曲靖","衢州"]},{"title":"R","lists":["日喀则","日照"]},{"title":"S","lists":["上海","深圳","苏州","沈阳","石家庄","三门峡","三明","三亚","商洛","商丘","上饶","山南","汕头","汕尾","韶关","绍兴","邵阳","十堰","朔州","四平","绥化","遂宁","随州","宿迁","宿州"]},{"title":"T","lists":["天津","太原","泰安","泰州","台州","唐山","天水","铁岭","铜川","通化","通辽","铜陵","铜仁","台湾","W","武汉","乌鲁木齐","无锡","威海","潍坊","文山","温州","乌海","芜湖","乌兰察布","武威","梧州"]},{"title":"X","lists":["厦门","西安","西宁","襄樊","湘潭","湘西","咸宁","咸阳","孝感","邢台","新乡","信阳","新余","忻州","西双版纳","宣城","许昌","徐州","香港","锡林郭勒","兴安"]},{"title":"Y","lists":["银川","雅安","延安","延边","盐城","阳江","阳泉","扬州","烟台","宜宾","宜昌","宜春","营口","益阳","永州","岳阳","榆林","运城","云浮","玉树","玉溪","玉林"]},{"title":"Z","lists":["杂多县","赞皇县","枣强县","枣阳市","枣庄","泽库县","增城市","曾都区","泽普县","泽州县","札达县","扎赉特旗","扎兰屯市","扎鲁特旗","扎囊县","张北县","张店区","章贡区","张家港","张家界","张家口","漳平市","漳浦县","章丘市","樟树市","张湾区","彰武县","漳县","张掖","漳州","长子县","湛河区","湛江","站前区","沾益县","诏安县","召陵区","昭平县","肇庆","昭通","赵县","昭阳区","招远市","肇源县","肇州县","柞水县","柘城县","浙江","镇安县","振安区","镇巴县","正安县","正定县","正定新区","正蓝旗","正宁县","蒸湘区","正镶白旗","正阳县","郑州","镇海区","镇江","浈江区","镇康县","镇赉县","镇平县","振兴区","镇雄县","镇原县","志丹县","治多县","芝罘区","枝江市","芷江侗族自治县","织金县","中方县","中江县","钟楼区","中牟县","中宁县","中山","中山区","钟山区","钟山县","中卫","钟祥市","中阳县","中原区","周村区","周口","周宁县","舟曲县","舟山","周至县","庄河市","诸城市","珠海","珠晖区","诸暨市","驻马店","准格尔旗","涿鹿县","卓尼","涿州市","卓资县","珠山区","竹山县","竹溪县","株洲","株洲县","淄博","子长县","淄川区","自贡","秭归县","紫金县","自流井区","资溪县","资兴市","资阳"]}]}';
        $cityArr = json_decode($city,true);
        
        foreach($cityArr['city'] as $key=>$val) {
            foreach($val['lists'] as $k=>$v) {
                echo $cache->del($scoreKey.$v);
            }
        }

    }

    public function alal() {
        $cache = S(C('REDIS'));
        // $userInfo = $cache->get("huanlenongchangzhu-weixin:upData:159404922:upKey");
        // var_dump(json_decode($userInfo,true));
        // var_dump($userInfo['superTotalNum']);
        // var_dump($userInfo);
        // var_dump(json_decode($userInfo,true));

        // $re = M("game_config","",C("LEWAN_HEZI"))->query("delete FROM `game_config` WHERE game_code='fengkuangguaishouche-weixin' and sysid=567");
        // $listKey = $gameCode.':rankingList:'.$gameSort;


        // $cache->set('huanlenongchangzhu:giftOrder',json_encode([23434,43546]),86400);
        // M("game_redeem_code","",C("LEWAN_HEZI"))->query("delete from game_redeem_code LIMIT 1000000");

        $scoreKey = 'wowtongyouxi-weixin:rankingList:';
        $city = '{"city":[{"title":"A","lists":["阿坝","阿拉善","阿里","安康","安庆","鞍山","安顺","安阳","澳门"]},{"title":"B","lists":["北京","白银","保定","宝鸡","保山","包头","巴中","北海","蚌埠","本溪","毕节","滨州","百色","亳州"]},{"title":"C","lists":["重庆","成都","长沙","长春","沧州","常德","昌都","长治","常州","巢湖","潮州","承德","郴州","赤峰","池州","崇左","楚雄","滁州","朝阳"]},{"title":"D","lists":["大连","东莞","大理","丹东","大庆","大同","大兴安岭","德宏","德阳","德州","定西","迪庆","东营"]},{"title":"E","lists":["鄂尔多斯","恩施","鄂州"]},{"title":"F","lists":["福州","防城港","佛山","抚顺","抚州","阜新","阜阳"]},{"title":"G","lists":["广州","桂林","贵阳","甘南","赣州","甘孜","广安","广元","贵港","果洛"]},{"title":"H","lists":["杭州","哈尔滨","合肥","海口","呼和浩特","海北","海东","海南","海西","邯郸","汉中","鹤壁","河池","鹤岗","黑河","衡水","衡阳","河源","贺州","红河","淮安","淮北","怀化","淮南","黄冈","黄南","黄山","黄石","惠州","葫芦岛","呼伦贝尔","湖州","菏泽"]},{"title":"J","lists":["济南","佳木斯","吉安","江门","焦作","嘉兴","嘉峪关","揭阳","吉林","金昌","晋城","景德镇","荆门","荆州","金华","济宁","晋中","锦州","九江","酒泉"]},{"title":"K","lists":["昆明","开封"]},{"title":"L","lists":["兰州","拉萨","来宾","莱芜","廊坊","乐山","凉山","连云港","聊城","辽阳","辽源","丽江","临沧","临汾","临夏","临沂","林芝","丽水","六安","六盘水","柳州","陇南","龙岩","娄底","漯河","洛阳","泸州","吕梁"]},{"title":"M","lists":["马鞍山","茂名","眉山","梅州","绵阳","牡丹江"]},{"title":"N","lists":["南京","南昌","南宁","宁波","南充","南平","南通","南阳","那曲","内江","宁德","怒江"]},{"title":"P","lists":["盘锦","攀枝花","平顶山","平凉","萍乡","莆田","濮阳"]},{"title":"Q","lists":["青岛","黔东南","黔南","黔西南","庆阳","清远","秦皇岛","钦州","齐齐哈尔","泉州","曲靖","衢州"]},{"title":"R","lists":["日喀则","日照"]},{"title":"S","lists":["上海","深圳","苏州","沈阳","石家庄","三门峡","三明","三亚","商洛","商丘","上饶","山南","汕头","汕尾","韶关","绍兴","邵阳","十堰","朔州","四平","绥化","遂宁","随州","宿迁","宿州"]},{"title":"T","lists":["天津","太原","泰安","泰州","台州","唐山","天水","铁岭","铜川","通化","通辽","铜陵","铜仁","台湾","W","武汉","乌鲁木齐","无锡","威海","潍坊","文山","温州","乌海","芜湖","乌兰察布","武威","梧州"]},{"title":"X","lists":["厦门","西安","西宁","襄樊","湘潭","湘西","咸宁","咸阳","孝感","邢台","新乡","信阳","新余","忻州","西双版纳","宣城","许昌","徐州","香港","锡林郭勒","兴安"]},{"title":"Y","lists":["银川","雅安","延安","延边","盐城","阳江","阳泉","扬州","烟台","宜宾","宜昌","宜春","营口","益阳","永州","岳阳","榆林","运城","云浮","玉树","玉溪","玉林"]},{"title":"Z","lists":["杂多县","赞皇县","枣强县","枣阳市","枣庄","泽库县","增城市","曾都区","泽普县","泽州县","札达县","扎赉特旗","扎兰屯市","扎鲁特旗","扎囊县","张北县","张店区","章贡区","张家港","张家界","张家口","漳平市","漳浦县","章丘市","樟树市","张湾区","彰武县","漳县","张掖","漳州","长子县","湛河区","湛江","站前区","沾益县","诏安县","召陵区","昭平县","肇庆","昭通","赵县","昭阳区","招远市","肇源县","肇州县","柞水县","柘城县","浙江","镇安县","振安区","镇巴县","正安县","正定县","正定新区","正蓝旗","正宁县","蒸湘区","正镶白旗","正阳县","郑州","镇海区","镇江","浈江区","镇康县","镇赉县","镇平县","振兴区","镇雄县","镇原县","志丹县","治多县","芝罘区","枝江市","芷江侗族自治县","织金县","中方县","中江县","钟楼区","中牟县","中宁县","中山","中山区","钟山区","钟山县","中卫","钟祥市","中阳县","中原区","周村区","周口","周宁县","舟曲县","舟山","周至县","庄河市","诸城市","珠海","珠晖区","诸暨市","驻马店","准格尔旗","涿鹿县","卓尼","涿州市","卓资县","珠山区","竹山县","竹溪县","株洲","株洲县","淄博","子长县","淄川区","自贡","秭归县","紫金县","自流井区","资溪县","资兴市","资阳"]}]}';
        $cityArr = json_decode($city,true);
        
        foreach($cityArr['city'] as $key=>$val) {
            foreach($val['lists'] as $k=>$v) {
                var_dump($scoreKey.$v);
            }
        }

    }
    

}

?>